Bug 165454 - Crash while accessing USB modem
Crash while accessing USB modem
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
RHEL3U7NAK
:
Depends On:
Blocks: 170417
  Show dependency treegraph
 
Reported: 2005-08-09 11:40 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:56:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-08-09 11:40:54 EDT
With the 2.4.21-32.0.1.ELsmp/i686, after running:
while true ; do echo "AT&F" > /dev/ttyUSB0 ; done

The problem doesn't occur on a UP kernel, only on an SMP one.

Jul 21 16:12:32 struppi kernel: NMI Watchdog detected LOCKUP on CPU1, eip
c0128581, registers:
Jul 21 16:12:32 struppi kernel: tg3 bonding floppy sg microcode st pl2303
usbserial keybdev mousedev hid input usb-ohci usbcore ext3 jbd aic7xxx megaraid2
diskdumplib aacraid_10102 sd_mod sc
Jul 21 16:12:32 struppi kernel: CPU:    1
Jul 21 16:12:32 struppi kernel: EIP:    0060:[<c0128581>]    Not tainted
Jul 21 16:12:32 struppi kernel: EFLAGS: 00000086
Jul 21 16:12:32 struppi kernel:
Jul 21 16:12:32 struppi kernel: EIP is at .text.lock.fork [kernel] 0x29
(2.4.21-32.0.1.ELsmp/i686)
Jul 21 16:12:32 struppi kernel: eax: f68aec4c   ebx: f75d0400   ecx: c0387280  
edx: f6b97e38
Jul 21 16:12:32 struppi kernel: esi: 00000286   edi: 00000092   ebp: f68aec4c  
esp: f6b97df4
Jul 21 16:12:32 struppi kernel: ds: 0068   es: 0068   ss: 0068
Jul 21 16:12:32 struppi kernel: Process bash (pid: 5676, stackpage=f6b97000)
Jul 21 16:12:32 struppi kernel: Stack: f75d0400 00000286 f759a000 f88c7cb5
f75ac600 f7e54080 f759a000 00000009
Jul 21 16:12:32 struppi kernel:        f6b96000 00000000 f6b96000 00000000
00000000 00000000 00000004 00000000
Jul 21 16:12:32 struppi kernel:        f7eb7400 00000000 f6b96000 f68aec50
f68aec50 00000000 00000022 00000021
Jul 21 16:12:32 struppi kernel: Call Trace:   [<f88c7cb5>] sohci_unlink_urb
[usb-ohci] 0x1c5 (0xf6b97e00)
Jul 21 16:12:32 struppi kernel: [<f88b152d>] usb_unlink_urb_Rsmp_fc6279da
[usbcore] 0x3d (0xf6b97e68)
Jul 21 16:12:32 struppi kernel: [<f8a6b461>] pl2303_close [pl2303] 0xe1 (0xf6b97e70)
Jul 21 16:12:32 struppi kernel: [<f8a61737>] __serial_close [usbserial] 0x87
(0xf6b97e88)
Jul 21 16:12:32 struppi kernel: [<f8a617f2>] serial_close [usbserial] 0xa2
(0xf6b97e98)
Jul 21 16:12:32 struppi kernel: [<c01b37ce>] release_dev [kernel] 0x6ce (0xf6b97eb4)
Jul 21 16:12:32 struppi kernel: [<c01b7521>] write_chan [kernel] 0x151 (0xf6b97ed0)
Jul 21 16:12:32 struppi kernel: [<c013abe3>] in_group_p [kernel] 0x23 (0xf6b97f00)
Jul 21 16:12:32 struppi kernel: [<f88a77da>] ext3_permission [ext3] 0xaa
(0xf6b97f08)
Jul 21 16:12:32 struppi kernel: [<c01b3c62>] tty_release [kernel] 0x32 (0xf6b97f60)
Jul 21 16:12:32 struppi kernel: [<c0165a2a>] __fput [kernel] 0xea (0xf6b97f6c)
Jul 21 16:12:32 struppi kernel: [<c0163b9e>] filp_close [kernel] 0x8e (0xf6b97f88)
Jul 21 16:12:32 struppi kernel: [<c0177b01>] sys_dup2 [kernel] 0xd1 (0xf6b97fa4)
Jul 21 16:12:32 struppi kernel:
Jul 21 16:12:32 struppi kernel: Code: 7e f9 e9 d9 e2 ff ff 80 3e 00 f3 90 7e f9
e9 35 e3 ff ff 80
Jul 21 16:12:32 struppi kernel:
Jul 21 16:12:32 struppi kernel: console shuts up ...















Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pete Zaitcev 2005-08-10 20:31:22 EDT
I need /proc/bus/usb/devices, because the module list shows pl2303 and
it is a radically different driver from the Multitech's driver cdc-acm.

Actually, since this is RHEL *3*, please test this kernel in your setup:
 ftp://people.redhat.com/zaitcev/rhel3usb/
Comment 2 Pete Zaitcev 2005-08-10 20:37:14 EDT
Err, ignore the reference to the acm, I confused this issue with bug 165453.
However, please do give me the /proc/bus/usb/devices, and please test
the experimental kernel.
Comment 3 Bastien Nocera 2005-08-11 04:41:07 EDT
$ cat proc/bus/usb/devices
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 4
B:  Alloc= 18/900 us ( 2%), #Int=  1, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB OHCI Root Hub
S:  SerialNumber=f888d000
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=067b ProdID=2303 Rev= 2.02
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=00 Driver=serial
E:  Ad=81(I) Atr=03(Int.) MxPS=  10 Ivl=1ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms

The test with the newer kernel forthcoming.
Comment 4 Pete Zaitcev 2005-08-13 00:11:18 EDT
Try 2.4.21-31.EL.usbserial.5 in ftp://people.redhat.com/zaitcev/rhel3usb/
I want to be sure that it doesn't deadlock. If it does, please get me sysrq-t.
Comment 7 Bastien Nocera 2005-11-02 09:39:21 EST
Reopening, this occurs with the 2.4.21-31.EL.usbserial.5smp kernel.

NMI Watchdog detected LOCKUP on CPU1, eip c0128531, registers:
iptable_nat ip_conntrack iptable_filter ip_tables tg3 bonding floppy sg microcod
                 e st pl2303 usbserial keybdev mousedev hid input usb-ohci
usbcore ext3 jbd aic
CPU:    1
EIP:    0060:[<c0128531>]    Not tainted
EFLAGS: 00000086

EIP is at .text.lock.fork [kernel] 0x29 (2.4.21-31.EL.usbserial.5smp/i686)
eax: c4eb914c   ebx: f7ec8f00   ecx: c0385200   edx: f6763e2c
esi: 00000286   edi: 00000096   ebp: c4eb914c   esp: f6763de8
ds: 0068   es: 0068   ss: 0068
Process bash (pid: 5305, stackpage=f6763000)
Stack: f7ec8f00 00000286 f7f00000 f8976cb5 f7493400 f7358080 f7f00000 0000000a  
      f6762000 00000000 f6762000 00000000 00000000 00000000 000030aa 00000000  
      f7e3bc00 00000000 f6762000 c4eb9150 c4eb9150 00000000 00000022 00000021  
Call Trace:   [<f8976cb5>] sohci_unlink_urb [usb-ohci] 0x1c5 (0xf6763df4)
[<f896052d>] usb_unlink_urb_Rsmp_fc6279da [usbcore] 0x3d (0xf6763e5c)
[<f8b1a56b>] pl2303_close [pl2303] 0xbb (0xf6763e64)
[<f8b10809>] __serial_close [usbserial] 0x59 (0xf6763e7c)
[<f8b108c2>] serial_close [usbserial] 0x62 (0xf6763e90)
[<c01b344e>] release_dev [kernel] 0x6ce (0xf6763eb4)
[<c01b71a1>] write_chan [kernel] 0x151 (0xf6763ed0)
[<c013ab93>] in_group_p [kernel] 0x23 (0xf6763f00)
[<f89567ca>] ext3_permission [ext3] 0xaa (0xf6763f08)
[<c01b38e2>] tty_release [kernel] 0x32 (0xf6763f60)
[<c016587a>] __fput [kernel] 0xea (0xf6763f6c)
[<c01639ee>] filp_close [kernel] 0x8e (0xf6763f88)
[<c01778b1>] sys_dup2 [kernel] 0xd1 (0xf6763fa4)

Code: 7e f9 e9 d9 e2 ff ff 80 3e 00 f3 90 7e f9 e9 35 e3 ff ff 80

console shuts up ... 
Comment 8 Pete Zaitcev 2006-02-15 21:13:21 EST
What a misfortune. My usbserial branch picked up the bug 171129, evidently.
Comment 9 Pete Zaitcev 2006-02-16 01:37:21 EST
Bastien, please try 2.4.21-31.EL.usbserial.6, same URL.
Comment 11 Issue Tracker 2007-06-19 04:23:53 EDT
CRM ticket was auto-close

Internal Status set to 'Resolved'
Status set to: Closed by Client
Resolution set to: 'NotABug'

This event sent from IssueTracker by uthomas 
 issue 75291
Comment 12 RHEL Product and Program Management 2007-10-19 14:56:22 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.